<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta http-equiv="CACHE-CONTROL" CONTENT="NO-CACHE">
	<meta http-equiv="expires" content="0">
	<meta http-equiv="refresh" content="30">
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<?php
	include "menu.php";
	?>

<?php

if (file_exists('/var/lib/wfrog/wfrog-current.xml')) {
    $xml = simplexml_load_file('/var/lib/wfrog/wfrog-current.xml');

//         print_r($xml);
         echo '<h1>XML File</h1>';
         echo 'Zeit: ' . $xml->time . '<br><br>';

         echo '<h1>Luft</h1>';

// Temperatur
         echo 'Temperatur: ' . $xml->th1->temp . ' Grad<br>';

// Luftfeuchte
         echo 'Luftfeuchte: ' . $xml->th1->humidity . ' %<br>';

// Luftdruck
         $pressurefull = (string)$xml->barometer->pressure;
         $pressure = number_format($pressurefull, 0, '.', '');
         echo 'Luftdruck: ' . $pressure . ' hPa<br>';
         echo '<h1>Wind</h1>';

// Windgeschindigkeit
         $avgSpeed = $xml->wind->avgSpeed;
         $avgSpeedKMH = $avgSpeed * 3.6;
         echo 'Geschwindigkeit: ' . $avgSpeedKMH . ' km/h<br>';
         
// Windböen         
         $gustSpeed = $xml->wind->gustSpeed;
         $gustSpeedKMH = $gustSpeed * 3.6;       
         echo 'B&ouml;en: ' . $gustSpeedKMH . ' km/h<br>';         

// Windrichtung
         echo 'Richtung: ' . $xml->wind->dirDeg . '&deg;<br>';
         
         $richtung = $xml->wind->dirDeg;
         if (($richtung <  22.5) and($richtung >= 337.5)) $w_text = "Nord";
         if (($richtung <  67.5) and($richtung >= 22.5)) $w_text = "Nord-Ost";
         if (($richtung < 125.5) and($richtung >= 67.5)) $w_text = "Ost";
         if (($richtung < 157.5) and($richtung >= 125.5)) $w_text = "Süd-Ost";
         if (($richtung < 202.5) and($richtung >= 157.5)) $w_text = "Süd";
         if (($richtung < 247.5) and($richtung >= 202.5)) $w_text = "Süd-West";
         if (($richtung < 292.5) and($richtung >= 247.5)) $w_text = "West";
         if (($richtung < 337.5) and($richtung >= 292.5)) $w_text = "Nord-West";
         echo 'Richtung: ' . $w_text . '';         

// Regen
         echo '<h1>Regen</h1>';
$rainrate = $xml->rain->rate;
         echo 'Regen Aktuell: ' . $rainrate . ' mm/h<br>';
         }
else {
    exit('Failed to open test.xml.');
     }

// Einlesen der SQLite3 Datenbank

         echo '<h1>Datenbank</h1>';

$db = new SQLite3('/var/lib/wfrog/wfrog.sql', SQLITE3_OPEN_READONLY);

//$query12 = "SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-720 Minute')"

$results = $db->query("select TIMESTAMP_LOCAL from meteo order by TIMESTAMP_LOCAL desc limit 0,1;");
  while ($row = $results->fetchArray()) {
    $dbdate=$row['TIMESTAMP_LOCAL'];
    echo 'Letzter DB Eintrag: '. $dbdate .'<br><br>';
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-60 Minute')");
  while ($row = $results->fetchArray()) {
    $rain1=$row['SUM(RAIN)'];
    echo 'Regen 1 Stunde: '. $rain1 .' mm<br>';
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-360 Minute')");
  while ($row = $results->fetchArray()) {
    $rain3=$row['SUM(RAIN)'];
    echo 'Regen 3 Stunden: '. $rain3 .' mm<br>';
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-360 Minute')");
  while ($row = $results->fetchArray()) {
    $rain6=$row['SUM(RAIN)'];
    echo 'Regen 6 Stunden: '. $rain6 .' mm<br>';
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-720 Minute')");
  while ($row = $results->fetchArray()) {
    $rain12=$row['SUM(RAIN)'];
    echo 'Regen 12 Stunden: '. $rain12 .' mm<br>';
  }
            
$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-1440 Minute')");
  while ($row = $results->fetchArray()) {
$rain24=$row['SUM(RAIN)'];
    echo 'Regen 24 Stunden: '. $rain24 .' mm<br>';
  }

$db->close();
?>
<body></html>
