<?php

include "config.php";

if (file_exists('/var/lib/wfrog/wfrog-current.xml')) {
    $xml = simplexml_load_file('/var/lib/wfrog/wfrog-current.xml');

// Temperatur
         $temp = $xml->th1->temp;
         fopen("http://$user:$password@$IP/dev/sps/io/VI28/$temp", "r");
// Luftdruck
         $pressurefull = (string)$xml->barometer->pressure;
         $pressure = number_format($pressurefull, 0, '.', '');
         fopen("http://$user:$password@$IP/dev/sps/io/VI40/$pressure", "r");
// Luftdruck
         $humidity = $xml->th1->humidity;
         fopen("http://$user:$password@$IP/dev/sps/io/VI39/$humidity", "r");

// Windgeschwindigkeit
         $avgSpeed = $xml->wind->avgSpeed;
         $avgSpeedKMH = $avgSpeed * 3.6;
         fopen("http://$user:$password@$IP/dev/sps/io/VI29/$avgSpeedKMH", "r");
// Windboen
         $gustSpeed = $xml->wind->gustSpeed;
         $gustSpeedKMH = $gustSpeed * 3.6;       
         fopen("http://$user:$password@$IP/dev/sps/io/VI36/$gustSpeedKMH", "r");
// Windrichtung
         $richtung = $xml->wind->dirDeg;
         fopen("http://$user:$password@$IP/dev/sps/io/VI38/$richtung", "r");

// Regen pro Stunde         
         $rainrate = $xml->rain->rate;
         fopen("http://$user:$password@$IP/dev/sps/io/VI30/$rainrate", "r");         

         }

else {
    exit('Failed to open test.xml.');
     }

// Einlesen der SQLite3 Datenbank

$db = new SQLite3('/var/lib/wfrog/wfrog.sql', SQLITE3_OPEN_READONLY);

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-60 Minute')");
  while ($row = $results->fetchArray()) {
    $rain1=$row['SUM(RAIN)'];
    fopen("http://$user:$password@$IP/dev/sps/io/VI31/$rain1", "r");
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-360 Minute')");
  while ($row = $results->fetchArray()) {
    $rain3=$row['SUM(RAIN)'];
    fopen("http://$user:$password@$IP/dev/sps/io/VI32/$rain3", "r");
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-360 Minute')");
  while ($row = $results->fetchArray()) {
    $rain6=$row['SUM(RAIN)'];
    fopen("http://$user:$password@$IP/dev/sps/io/VI33/$rain6", "r");
  }

$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-720 Minute')");
  while ($row = $results->fetchArray()) {
    $rain12=$row['SUM(RAIN)'];
    fopen("http://$user:$password@$IP/dev/sps/io/VI34/$rain12", "r");
  }
            
$results = $db->query("SELECT SUM(RAIN) FROM meteo WHERE TIMESTAMP_UTC > datetime('now','-1440 Minute')");
  while ($row = $results->fetchArray()) {
    $rain24=$row['SUM(RAIN)'];
    fopen("http://$user:$password@$IP/dev/sps/io/VI35/$rain24", "r");
  }

$db->close();
?>